1.0 doesn't work on M3 Lite SD

Subforum for discussion and help with ScummVM's Nintendo DS port

Moderator: ScummVM Team

Post Reply
aidenn
Posts: 3
Joined: Wed Dec 16, 2009 6:38 pm

1.0 doesn't work on M3 Lite SD

Post by aidenn »

Hello,

1.0 won't start at all, it just gives me two black screens, no initialisation, no nothing. 0.13.1 works fine. I have the last firmware of course. I've tried Kingston 2GB MicroSD and Nokia 256MB with every allocation unit size possible. I remember getting this in the recent flip book homebrew thingy too. Are newer DS dev tools incompatible with this old M3 or is this a bug?

-- edit --

It works when launched via DSOrganize with Chishm's loader though.

aidenn
Posts: 3
Joined: Wed Dec 16, 2009 6:38 pm

Post by aidenn »

So, any ideas, agentq? I'd appreciate just "it won't work, sorry". ;)

agentq
ScummVM Porter
Posts: 806
Joined: Wed Dec 21, 2005 4:29 pm
Location: London, UK

Post by agentq »

I've no idea. A bug in the M3's firmware, perhaps? That's what I'd assume.

It might be worth trying older or newer versions of the M3's firmware to see if it makes any difference.

Sorry it took me so long to respond to this post, I've been incredibly busy with real life stuff.

another world
Posts: 117
Joined: Sat Feb 23, 2008 4:05 am

Post by another world »

there are two m3 dldi files you can use on the m3 lite, try them both. also try launching from inside moonshell.

-another world

aidenn
Posts: 3
Joined: Wed Dec 16, 2009 6:38 pm

Post by aidenn »

another world, yeah, I know. Tried both. And I think it'll work with Moonshell, since it works via DSOrganize. It's not very comfortable though.

agentq, there are no newer firmware revisions for the slot-2 M3s and older ones are kinda bad. Ah well, one day I'll upgrade to a NDSL and some nice slot-1 card (I can't do this with my phat 'cause I've broken my slot-1).

By the way, the mail notification of this forum is seriously broken. I've received the one for agentq's reply half an hour ago.

Post Reply